%global packname  tidyselect
%global rlibdir  %{_libdir}/R/library

# dplyr requires this package.
%global with_loop 0

Name:             R-%{packname}
Version:          0.2.5
Release:          1%{?dist}
Summary:          Select from a Set of Strings

License:          GPLv3
URL:              https://CRAN.R-project.org/package=%{packname}
Source0:          https://cran.r-project.org/src/contrib/%{packname}_%{version}.tar.gz

# Here's the R view of the dependencies world:
# Depends:
# Imports:   R-glue >= 1.3.0, R-purrr, R-rlang >= 0.2.2, R-Rcpp >= 0.12.0
# Suggests:  R-covr, R-dplyr, R-testthat
# LinkingTo:
# Enhances:

Requires:         R-glue >= 1.3.0
Requires:         R-purrr
Requires:         R-rlang >= 0.2.2
Requires:         R-Rcpp >= 0.12.0
Suggests:         R-dplyr
BuildRequires:    R-devel
BuildRequires:    tex(latex)
BuildRequires:    R-glue >= 1.3.0
BuildRequires:    R-purrr
BuildRequires:    R-rlang >= 0.2.2
BuildRequires:    R-Rcpp-devel >= 0.12.0
BuildRequires:    R-testthat
%if %{with_loop}
BuildRequires:    R-dplyr
%endif

%description
A backend for the selecting functions of the 'tidyverse'. It makes it easy
to implement select-like functions in your own packages in a way that is
consistent with other 'tidyverse' interfaces for selection.


%prep
%setup -q -c -n %{packname}

# Don't need coverage; it's not packaged either.
sed -i 's/covr, //g' %{packname}/DESCRIPTION


%build


%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css


%check
%if %{with_loop}
%{_bindir}/R CMD check %{packname}
%else
_R_CHECK_FORCE_SUGGESTS_=0 %{_bindir}/R CMD check %{packname}
%endif


%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/html
%{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/NEWS.md
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help
%dir %{rlibdir}/%{packname}/libs
%{rlibdir}/%{packname}/libs/%{packname}.so


%changelog
* Sun Feb 17 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.2.5-1
- initial package for Fedora
